summaryrefslogtreecommitdiffstats
path: root/deps/sip/sip.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/sip/sip.SlackBuild')
-rwxr-xr-xdeps/sip/sip.SlackBuild21
1 files changed, 13 insertions, 8 deletions
diff --git a/deps/sip/sip.SlackBuild b/deps/sip/sip.SlackBuild
index c79e22f..e52985b 100755
--- a/deps/sip/sip.SlackBuild
+++ b/deps/sip/sip.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,12 +24,13 @@
# Modified by Robby Workman <rworkman@slackware.com>
# Modified by Eric Hameleers <alien@slackware.com>
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sip
-VERSION=${VERSION:-4.19.17}
+VERSION=${VERSION:-4.19.18}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -42,6 +43,14 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -60,7 +69,6 @@ PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print
PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -68,12 +76,9 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
-## Get PyQt4 to compile:
-#cat $CWD/patches/PyQt4_sip_regression.patch | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \